# Class CIM_SettingAssociatedToCapabilities
extends CIM_Dependency

This association defines settings that can be used to create or modify elements. Unlike ElementSettingData, these settings are not used to express the characteristics of existing managed elements. Typically, the capabilities associated with this class define the characteristics of a service in creating or modifying elements that are dependent on the service directly or indirectly. A CIM Client may use this association to find SettingData instances that can be used to create or modify these dependent elements.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_SettingAssociatedToCapabilities

## Direct Known Subclasses

CIM_StorageSettingsAssociatedToCapabilities
CIM_StorageSettingsGeneratedFromCapabilities

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true

Description

string

This association defines settings that can be used to create or modify elements. Unlike ElementSettingData, these settings are not used to express the characteristics of existing managed elements. Typically, the capabilities associated with this class define the characteristics of a service in creating or modifying elements that are dependent on the service directly or indirectly. A CIM Client may use this association to find SettingData instances that can be used to create or modify these dependent elements.

UMLPackagePath | string | CIM::System::FilesystemServices
Version | string | 2.11.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
DefaultSetting | boolean | false
Description | string | If an element whose characteristics are described by the associated Capabilities instance has a dependent element created or modified without specifying an associated SettingData instance, then the default SettingData will be used in that operation.
Required | boolean | true

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_SettingAssociatedToCapabilities | CIM_Capabilities
Dependent | CIM_SettingAssociatedToCapabilities | CIM_SettingData

## Class Methods